org.vertx.java.core.http.impl.ws.hybi00

## Class Handshake00

- java.lang.Object
- - org.vertx.java.core.http.impl.ws.hybi00.Handshake00

All Implemented Interfaces:
  Handshake

    public class Handshake00
    extends java.lang.Object
    implements Handshake

Handler for ietf-08.

### Constructor Summary

Constructors
Constructor and Description
`Handshake00()`

### Method Summary

Methods
`void` `fillInRequest(HttpClientRequest req, java.lang.String hostHeader)`
`org.jboss.netty.handler.codec.http.HttpResponse` `generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request, java.lang.String serverOrigin)`
`org.jboss.netty.channel.ChannelHandler` `getDecoder()`
`org.jboss.netty.channel.ChannelHandler` `getEncoder(boolean server)`
`protected java.lang.String` `getWebSocketLocation(org.jboss.netty.handler.codec.http.HttpRequest request, java.lang.String serverOrigin)`
`static boolean` `matches(org.jboss.netty.handler.codec.http.HttpRequest request)`
`void` `onComplete(HttpClientResponse response, AsyncResultHandler<java.lang.Void> doneHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Handshake00

    public Handshake00()
                throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

### Method Detail

#### getWebSocketLocation

    protected java.lang.String getWebSocketLocation(org.jboss.netty.handler.codec.http.HttpRequest request,
                                        java.lang.String serverOrigin)

#### matches

    public static boolean matches(org.jboss.netty.handler.codec.http.HttpRequest request)

#### fillInRequest

    public void fillInRequest(HttpClientRequest req,
                     java.lang.String hostHeader)
                       throws java.lang.Exception

Specified by:
  `fillInRequest` in interface `Handshake`
Throws:
  `java.lang.Exception`

#### generateResponse

    public org.jboss.netty.handler.codec.http.HttpResponse generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request,
                                                                   java.lang.String serverOrigin)
                                                                     throws java.lang.Exception

Specified by:
  `generateResponse` in interface `Handshake`
Throws:
  `java.lang.Exception`

#### onComplete

    public void onComplete(HttpClientResponse response,
                  AsyncResultHandler<java.lang.Void> doneHandler)

Specified by:
  `onComplete` in interface `Handshake`

#### getEncoder

    public org.jboss.netty.channel.ChannelHandler getEncoder(boolean server)

Specified by:
  `getEncoder` in interface `Handshake`

#### getDecoder

    public org.jboss.netty.channel.ChannelHandler getDecoder()

Specified by:
  `getDecoder` in interface `Handshake`